
/* Common styles of menus */

.dl-menuwrapper {
	width: 100%;
	z-index: 999;
	float: left;
	position: relative;
	height: 0;
}

.dl-menuwrapper:first-child {
	margin-right: 100px;
}

.dl-menuwrapper button.dl-trigger,
button.dl-trigger {
	background-color: transparent;
	height: 66px;
	width: 56px;
	border-left: 1px solid white;
	text-indent: -900em;
	overflow: hidden;
	position: absolute;
	cursor: pointer;
	outline: none;
	right: -56px;
}

.dl-menuwrapper ul {
	background: white;
}

.dl-menuwrapper button.dl-trigger:after,
button.dl-trigger:after {
	content: '';
	position: absolute;
	width: 47%;
	height: 2px;
	background: #fff;
	left: 25%;

	box-shadow: 0 8px 0 #fff, 0 16px 0 #fff;
}

.dl-menuwrapper ul {
	padding: 0;
	list-style: none;
	/*-webkit-transform-style: preserve-3d;
	transform-style: preserve-3d;*/
}

.dl-menuwrapper li {
	position: relative;
}

.dl-menuwrapper li a {
	display: block;
	position: relative;
	padding: 15px;
	font-size: 16px;
	line-height: 20px;
	font-weight: 300;
	color: black;
	font-weight: 600;
	border-bottom: 1px solid #f6f6f6;
	outline: none;
}
.dl-menuwrapper li a:after{
	content: "\f101";
	font-family: fontAwesome;
	color:#00a0af;
	padding-left: 5px;
}

.no-touch .dl-menuwrapper li a:hover {
	background: rgba(255,248,213,0.1);
}

.dl-menuwrapper li.dl-back > a {
	padding-left: 30px;
	background: white;
	color: #00a0af;
}

.dl-menuwrapper li.dl-back:after,
.dl-menuwrapper li > a:not(:only-child):after {
	position: absolute;
	top: 0;
	line-height: 50px;
	speak:none;
	content: "\f101";
	font-family: fontAwesome;
	color:#00a0af;
}
.dl-menuwrapper li > a:not(:only-child):after{	
	position: absolute;
	top: auto;
	bottom: -1px;
	}
.dl-menuwrapper li > a:not(:only-child):after:hover{text-decoration: none !important;}

.dl-menuwrapper li.dl-back > a:hover {
	color: #fff;
}

.dl-menuwrapper li.dl-back > a:hover {
	color: #fff;
	background-color: #00a0af;
}
.dl-menuwrapper li.dl-back:hover:after {
	color: #fff;
	background-color: #00a0af;
}
.dl-menuwrapper li.dl-back:after {
	left: 10px;
	color: #00a0af;
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
}

.dl-menuwrapper li > a:after {
	right: 10px;
	color: rgba(0, 160, 175,1);
}
.dl-menuwrapper li > a:hover:after{text-decoration: none !important;}
.dl-menuwrapper li li > a:not(:only-child):after{
	right: auto;
}

.dl-menuwrapper li.main a:after{ color:white;}
.dl-menuwrapper li.main a:hover:after{text-decoration: none !important;}
.dl-menuwrapper li.dl-back a:after{content: "";}
.dl-menuwrapper .dl-menu {
	margin: 1px 0 0 0;
	position: absolute;
	width: 100%;
	opacity: 0;
	pointer-events: none;
	-webkit-transform: translateY(10px);
	transform: translateY(10px);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.dl-menuwrapper .dl-menu.dl-menu-toggle {
	transition: all 0.3s ease;
}

.dl-menuwrapper .dl-menu.dl-menuopen {
	opacity: 1;
	pointer-events: auto;
	-webkit-transform: translateY(0px);
	transform: translateY(0px);
}

/* Hide the inner submenus */
.dl-menuwrapper li .dl-submenu {
	display: none;
}

.dl-submenu li {
	background-color: #eaeaea;
}

.dl-submenu li.main {
	background-color: #00A0AF;
}
.dl-submenu.sub-level-3 li.main {
	background-color: #00A0AF;
}

.dl-menuwrapper li.main a {
	color: #fff;
}


.dl-menuwrapper li a.smaller {
	font-size: 14px;
	font-weight: 400;
}
/*
When a submenu is openend, we will hide all li siblings.
For that we give a class to the parent menu called "dl-subview".
We also hide the submenu link.
The opened submenu will get the class "dl-subviewopen".
All this is done for any sub-level being entered.
*/
.dl-menu.dl-subview li,
.dl-menu.dl-subview li.dl-subviewopen > a,
.dl-menu.dl-subview li.dl-subview > a {
	display: none;
}

.dl-menu.dl-subview li.dl-subview,
.dl-menu.dl-subview li.dl-subview .dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen,
.dl-menu.dl-subview li.dl-subviewopen > .dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen > .dl-submenu > li {
	display: block;
}

/* Dynamically added submenu outside of the menu context */
.dl-menuwrapper > .dl-submenu {
	position: absolute;
	width: 100%;
	top: 50px;
	left: 0;
	margin: 0;
}

.dl-menu.dl-animate-out-1 {
	animation: MenuAnimOut1 0.4s linear forwards;
}

@keyframes MenuAnimOut1 {
	50% {
		transform: translateZ(-250px) rotateY(0deg);
	}
	75% {
		transform: translateZ(-372.5px) rotateY(0deg);
		opacity: 1;
	}
	100% {
		transform: translateZ(-500px) rotateY(0deg);
		opacity: 1;
	}
}

.dl-menu.dl-animate-in-1 {
	animation: MenuAnimIn1 0.3s linear forwards;
}

@keyframes MenuAnimIn1 {
	0% {
		transform: translateZ(-500px) rotateY(0deg);
		opacity: 1;
	}
	20% {
		transform: translateZ(-250px) rotateY(0deg);
		opacity: 1;
	}
	100% {
		transform: translateZ(0px) rotateY(0deg);
		opacity: 1;
	}
}


